import { AutoMap } from '@automapper/classes';
import { IsEnum, IsNotEmpty, IsOptional, IsString } from 'class-validator';
import { Domain } from './domain.enum';

export class CreateConfigurationRequest {
  @IsString()
  @IsOptional()
  @AutoMap()
  uuid?: string;

  @IsEnum(Domain)
  @IsNotEmpty()
  @AutoMap()
  domain: Domain;

  @IsString()
  @IsNotEmpty()
  @AutoMap()
  key: string;

  @IsString()
  @IsNotEmpty()
  @AutoMap()
  value: string;
}
