import { QueryHandler } from '@nestjs/cqrs';
import { ICollection } from 'src/modules/database/interfaces/collection.interface';
import { ConfigurationRepository } from '../../adapters/secondaries/configuration.repository';
import { FindAllConfigurationsQuery } from '../../queries/find-all-configurations.query';
import { Configuration } from '../entities/configuration';

@QueryHandler(FindAllConfigurationsQuery)
export class FindAllConfigurationsUseCase {
  constructor(private readonly repository: ConfigurationRepository) {}

  execute = async (
    findAllConfigurationsQuery: FindAllConfigurationsQuery,
  ): Promise<ICollection<Configuration>> =>
    this.repository.findAll(
      findAllConfigurationsQuery.page,
      findAllConfigurationsQuery.perPage,
    );
}
